Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class FlowModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.FlowModel

All Implemented Interfaces:
  Model

    public class FlowModel

extends AbstractModel

Model support for flows.

Defines exactly one flow definition. A flow is composed of one or more states that define the steps of a conversation. One of those steps is the start state, which defines the conversation's starting point.
A flow may also exhibit the following characteristics:

- Be annotated with attributes that define descriptive properties that may affect flow execution. (See `AttributeModel`)
- Be secured (See `SecuredModel`)
- Be a persistence context for managing persistent objects during the course of flow execution. (See `PersistenceContextModel`)
- Instantiate a set of instance variables when started. (See `VarModel`)
- Map input provided by callers that start it (See `InputModel`)
- Return output to callers that end it. (See `OutputModel`)
- Execute actions at start time and end time. (See `EvaluateModel`, `RenderModel` and `SetModel`)
- Define transitions shared by all states. (See `TransitionModel`)
- Handle exceptions thrown by during flow execution. (See `ExceptionHandlerModel`)
- Import one or more local bean definition files defining custom flow artifacts (such as actions, exception handlers, view factories, transition criteria, etc). (See `BeanImportModel`)

Author:
  Scott Andrews

Constructor Summary
`FlowModel()` Create a flow model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getAbstract()`
`java.util.LinkedList` | `getAttributes()`
`java.util.LinkedList` | `getBeanImports()`
`java.util.LinkedList` | `getExceptionHandlers()`
`java.util.LinkedList` | `getGlobalTransitions()`
`java.util.LinkedList` | `getInputs()`
`java.util.LinkedList` | `getOnEndActions()`
`java.util.LinkedList` | `getOnStartActions()`
`java.util.LinkedList` | `getOutputs()`
`java.lang.String` | `getParent()`
`PersistenceContextModel` | `getPersistenceContext()`
`SecuredModel` | `getSecured()`
`java.lang.String` | `getStartStateId()`
`AbstractStateModel` | `getStateById(java.lang.String id)` Get the state model for an identifier
`java.util.LinkedList` | `getStates()`
`java.util.LinkedList` | `getVars()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setAbstract(java.lang.String abztract)`
`void` | `setAttributes(java.util.LinkedList attributes)`
`void` | `setBeanImports(java.util.LinkedList beanImports)`
`void` | `setExceptionHandlers(java.util.LinkedList exceptionHandlers)`
`void` | `setGlobalTransitions(java.util.LinkedList globalTransitions)`
`void` | `setInputs(java.util.LinkedList inputs)`
`void` | `setOnEndActions(java.util.LinkedList onEndActions)`
`void` | `setOnStartActions(java.util.LinkedList onStartActions)`
`void` | `setOutputs(java.util.LinkedList outputs)`
`void` | `setParent(java.lang.String parent)`
`void` | `setPersistenceContext(PersistenceContextModel persistenceContext)`
`void` | `setSecured(SecuredModel secured)`
`void` | `setStartStateId(java.lang.String startStateId)`
`void` | `setStates(java.util.LinkedList states)`
`void` | `setVars(java.util.LinkedList vars)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowModel

    public FlowModel()

  Create a flow model

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getAbstract

    public java.lang.String getAbstract()

  Returns:
    the abstract

### setAbstract

    public void setAbstract(java.lang.String abztract)

  Parameters:
    `abztract` - the abstract to set

### getParent

    public java.lang.String getParent()

  Returns:
    the parent

### setParent

    public void setParent(java.lang.String parent)

  Parameters:
    `parent` - the parent to set

### getStartStateId

    public java.lang.String getStartStateId()

  Returns:
    the id of the flow's start state

### setStartStateId

    public void setStartStateId(java.lang.String startStateId)

  Parameters:
    `startStateId` - the id of the flow's start state to set

### getAttributes

    public java.util.LinkedList getAttributes()

  Returns:
    the attributes

### setAttributes

    public void setAttributes(java.util.LinkedList attributes)

  Parameters:
    `attributes` - the attributes to set

### getSecured

    public SecuredModel getSecured()

  Returns:
    the secured

### setSecured

    public void setSecured(SecuredModel secured)

  Parameters:
    `secured` - the secured to set

### getPersistenceContext

    public PersistenceContextModel getPersistenceContext()

  Returns:
    the persistence context

### setPersistenceContext

    public void setPersistenceContext(PersistenceContextModel persistenceContext)

  Parameters:
    `persistenceContext` - the persistence context to set

### getVars

    public java.util.LinkedList getVars()

  Returns:
    the vars

### setVars

    public void setVars(java.util.LinkedList vars)

  Parameters:
    `vars` - the vars to set

### getInputs

    public java.util.LinkedList getInputs()

  Returns:
    the input mappings

### setInputs

    public void setInputs(java.util.LinkedList inputs)

  Parameters:
    `inputs` - the input mappings to set

### getOutputs

    public java.util.LinkedList getOutputs()

  Returns:
    the output mappings

### setOutputs

    public void setOutputs(java.util.LinkedList outputs)

  Parameters:
    `outputs` - the output mappings to set

### getOnStartActions

    public java.util.LinkedList getOnStartActions()

  Returns:
    the on start actions

### setOnStartActions

    public void setOnStartActions(java.util.LinkedList onStartActions)

  Parameters:
    `onStartActions` - the on start actions to set

### getStates

    public java.util.LinkedList getStates()

  Returns:
    the states

### getStateById

    public AbstractStateModel getStateById(java.lang.String id)

  Get the state model for an identifier

  Parameters:
    `id` - the state identifier to find
  Returns:
    the state or null if the identifier was not found

### setStates

    public void setStates(java.util.LinkedList states)

  Parameters:
    `states` - the states to set

### getGlobalTransitions

    public java.util.LinkedList getGlobalTransitions()

  Returns:
    the global transitions

### setGlobalTransitions

    public void setGlobalTransitions(java.util.LinkedList globalTransitions)

  Parameters:
    `globalTransitions` - the global transitions to set

### getOnEndActions

    public java.util.LinkedList getOnEndActions()

  Returns:
    the on end actions

### setOnEndActions

    public void setOnEndActions(java.util.LinkedList onEndActions)

  Parameters:
    `onEndActions` - the on end actions to set

### getExceptionHandlers

    public java.util.LinkedList getExceptionHandlers()

  Returns:
    the exception handlers

### setExceptionHandlers

    public void setExceptionHandlers(java.util.LinkedList exceptionHandlers)

  Parameters:
    `exceptionHandlers` - the exception handlers to set

### getBeanImports

    public java.util.LinkedList getBeanImports()

  Returns:
    the bean imports

### setBeanImports

    public void setBeanImports(java.util.LinkedList beanImports)

  Parameters:
    `beanImports` - the bean imports to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD